> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# List Countries

> Retrieves the systems's saved country list.

Retrieves the current list of countries stored in the system with their various properties like country name and iso3Codes. This endpoint helps client applications for where users country is required.

## Request Headers

This endpoint is typically **public** and **does not require an Access Token** for authorization, relying on the organization domain provided in the URL.

<ParamField header="platform" type="string" required default="fincode">
  Platform identifier. Use `fincode`.
</ParamField>

<ParamField header="uuid" type="string" required default="200">
  Unique request identifier.
</ParamField>

## Code Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl --location 'https://remitjunction.fincode.software/api/v6/services/utilitiesmanagement/list-all-countries' \
  --header 'platform: fincode' \
  --header 'uuid: 200'
  ```

  ```javascript Node.js theme={null}
  const axios = require('axios');

  const BASE_URL =
    'https://remitjunction.fincode.software/api/v6/services/utilitiesmanagement';

  async function viewCountryList() {
    try {
      const response = await axios.get(`${BASE_URL}/list-all-countries`, {
        headers: {
          platform: 'fincode',
          uuid: '200',
        },
      });
      return response.data;
    } catch (error) {
      console.error(
        'Failed to fetch country list:',
        error.response?.data || error.message
      );
      throw error;
    }
  }

  viewCountryList();
  ```
</CodeGroup>


## OpenAPI

````yaml GET /utilitiesmanagement/list-all-countries
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /utilitiesmanagement/list-all-countries:
    get:
      summary: List Countries
      description: Retrieves the systems's saved country list
      operationId: listCountries
      parameters:
        - $ref: '#/components/parameters/platformHeader'
        - $ref: '#/components/parameters/uuidHeader'
      responses:
        '200':
          description: List of countries
components:
  parameters:
    platformHeader:
      in: header
      name: platform
      schema:
        type: string
        default: fincode
      required: true
    uuidHeader:
      in: header
      name: uuid
      schema:
        type: string
        default: '200'
      required: true

````